{
  config,
  pkgs,
  lib,
  ...
}: {
  # SeaBIOS / legacy BIOS bootloader settings for VMs
  # Bootloader - GRUB for Legacy BIOS
  boot.loader.systemd-boot.enable = lib.mkForce false;
  boot.loader.grub = {
    enable = true;
    device = "/dev/vda"; # Install GRUB to the disk
    efiSupport = false; # Disable UEFI
  };
  boot.initrd.availableKernelModules = ["virtio_pci" "virtio_scsi" "ahci" "sd_mod" "virtio_blk"];

  fileSystems."/" = {
    device = "/dev/vda1";
    fsType = "ext4"; # Use "btrfs" or "xfs" if you formatted it differently
  };
}
